Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class Link

    java.lang.Object
      com.google.appengine.api.datastore.Link

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Link>

    public final class Link

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable<Link>

A `Link` is a URL of limited length. In addition to adding the meaning of `URL` onto a String, a `Link` can also be longer than a Text value, with a limit of 2038 characters.

See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`Link(java.lang.String value)` Constructs a new `Link` object with the specified value.

Method Summary
`int` | `compareTo(Link l)`
`boolean` | `equals(java.lang.Object object)` Two `Link` objects are considered equal if their content strings match exactly.
`java.lang.String` | `getValue()` Returns the value of this `Link`.
`int` | `hashCode()`
`java.lang.String` | `toString()` Returns the entire text of this `Link`.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Link

    public Link(java.lang.String value)

  Constructs a new `Link` object with the specified value. This object cannot be modified after construction.

Method Detail

### getValue

    public java.lang.String getValue()

  Returns the value of this `Link`.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Two `Link` objects are considered equal if their content strings match exactly.

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Returns the entire text of this `Link`.

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(Link l)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Link>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD